public static interface Ddb2EndpointBuilderFactory.Ddb2Builders
| Modifier and Type | Method and Description |
|---|---|
default Ddb2EndpointBuilderFactory.Ddb2EndpointBuilder |
aws2Ddb(String path)
AWS 2 DynamoDB (camel-aws2-ddb)
Store and retrieve data from AWS DynamoDB service using AWS SDK
version 2.x.
|
default Ddb2EndpointBuilderFactory.Ddb2EndpointBuilder |
aws2Ddb(String componentName,
String path)
AWS 2 DynamoDB (camel-aws2-ddb)
Store and retrieve data from AWS DynamoDB service using AWS SDK
version 2.x.
|
default Ddb2EndpointBuilderFactory.Ddb2EndpointBuilder aws2Ddb(String path)
aws2-ddb:tableName
Path parameter: tableName (required)
The name of the table currently worked with.path - tableNamedefault Ddb2EndpointBuilderFactory.Ddb2EndpointBuilder aws2Ddb(String componentName, String path)
aws2-ddb:tableName
Path parameter: tableName (required)
The name of the table currently worked with.componentName - to use a custom component name for the endpoint
instead of the default namepath - tableNameApache Camel